<?php get_header();?>
	<?php if (have_posts()) : ?>
	<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
    
    <?php /* If this is a category archive */ if (is_category()) { ?>				
		<h2 class="pagetitle">Archive for the '<?php echo single_cat_title(); ?>' Category</h2>
		
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>
		
	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>
		
		<?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Author Archive</h2>

		<?php /* If this is a paged archive */ } elseif (is_paged()) { ?>
		<h2 class="pagetitle">Blog Archives</h2>

		<?php } ?>
	  <?php endif;?>
      <?php if ($posts) : foreach ($posts as $post) : start_wp(); ?>
		  <div class="post">
			<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			<p class="post-info"><?php the_author_posts_link(); ?> on <?php the_time('d M Y'); ?> | <?php the_category(' &amp;');?> <?php edit_post_link('[edit this]'); ?></p>
			<div class="post-content">
				<?php the_content("Continue Reading &#187;"); ?>
				<?php wp_link_pages(); ?>
				<!--
					<?php trackback_rdf(); ?>
				-->
			</div>
			<p class="post-footer">
				<span class="comments"><?php comments_popup_link(__('No Comments'), __('1 Comment'), __('% Comments')); ?></span>
			</p>
			<?php comments_template(); ?>
		</div>
		<?php endforeach; else: ?>
		<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
		<?php endif; ?>
		<p align="center"><?php posts_nav_link() ?></p>		
<?php get_sidebar();?>
<?php get_footer();?>